d3.csv('https://gist.githubusercontent.com/sreepavanKothapalli/bb5113da994852a0f800a7f035084212/raw/3db7cbc1eff5399a1d3316a081092349c1e61f33/Sports.csv', function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}

var trace1 = {
	x:unpack(rows, 'Name'), y: unpack(rows, 'Year'), z: unpack(rows, 'Other_Sales'),
	mode: 'markers',
	marker: {
		size: 12,
		line: {
		color: 'rgba(2, 80, 92, 14)',
		width: 0.5},
		opacity: 0.8},
	type: 'scatter3d'
};

var trace2 = {
	x:unpack(rows, 'Name'), y: unpack(rows, 'Year'), z: unpack(rows, 'Japan_Sales'),
	mode: 'markers',
	marker: {
		color: 'rgb(208, 92, 205)',
		size: 12,
		symbol: 'circle',
		line: {
		color: 'rgb(290, 204, 204)',
		width: 2},
		opacity: 0.8},
	type: 'scatter3d'};

var data = [trace1, trace2];
var layout = {
    margin: { l: 0, r: 0, b: 0, t: 0 },
    scene: { zaxis: { title: 'Sales' },yaxis: { title: 'Year' },xaxis: { title: 'Game Names' } }  // added zaxis property with title attribute
  };
Plotly.newPlot('myDiv', data, layout);
});
